Package owl.grammar

## Class LTLParser

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>
  - - org.antlr.v4.runtime.Parser
    - - owl.grammar.LTLParser

-     public class LTLParser
      extends org.antlr.v4.runtime.Parser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LTLParser.AndExpressionContext` |
    `static class` | `LTLParser.AtomExpressionContext` |
    `static class` | `LTLParser.BinaryExpressionContext` |
    `static class` | `LTLParser.BinaryOpContext` |
    `static class` | `LTLParser.BinaryOperationContext` |
    `static class` | `LTLParser.BinaryUnaryContext` |
    `static class` | `LTLParser.BoolContext` |
    `static class` | `LTLParser.BooleanContext` |
    `static class` | `LTLParser.ComparisonContext` |
    `static class` | `LTLParser.DoubleQuotedVariableContext` |
    `static class` | `LTLParser.ExpressionContext` |
    `static class` | `LTLParser.FormulaContext` |
    `static class` | `LTLParser.FractionContext` |
    `static class` | `LTLParser.FrequencyOpContext` |
    `static class` | `LTLParser.FrequencySpecContext` |
    `static class` | `LTLParser.NestedContext` |
    `static class` | `LTLParser.OrExpressionContext` |
    `static class` | `LTLParser.ProbabilityContext` |
    `static class` | `LTLParser.SingleQuotedVariableContext` |
    `static class` | `LTLParser.UnaryAtomContext` |
    `static class` | `LTLParser.UnaryExpressionContext` |
    `static class` | `LTLParser.UnaryOpContext` |
    `static class` | `LTLParser.UnaryOperationContext` |
    `static class` | `LTLParser.VariableContext` |

    - ### Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

      `org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.antlr.v4.runtime.atn.ATN` | `_ATN` |
    `protected static org.antlr.v4.runtime.dfa.DFA[]` | `_decisionToDFA` |
    `static String` | `_serializedATN` |
    `protected static org.antlr.v4.runtime.atn.PredictionContextCache` | `_sharedContextCache` |
    `static int` | `AND` |
    `static int` | `BIIMP` |
    `static int` | `DIVISION` |
    `static int` | `DOUBLE_QUOTED_VARIABLE` |
    `static int` | `EQ` |
    `static int` | `FALSE` |
    `static int` | `FINALLY` |
    `static int` | `GE` |
    `static int` | `GLOBALLY` |
    `static int` | `GT` |
    `static int` | `IMP` |
    `static int` | `INF` |
    `static int` | `LCPAREN` |
    `static int` | `LDQUOTE` |
    `static int` | `LE` |
    `static int` | `LPAREN` |
    `static int` | `LSQUOTE` |
    `static int` | `LT` |
    `static int` | `NEXT` |
    `static int` | `NOT` |
    `static int` | `OR` |
    `static int` | `POS_NUMBER` |
    `static int` | `PROBABILITY` |
    `static int` | `RCPAREN` |
    `static int` | `RDQUOTE` |
    `static int` | `RELEASE` |
    `static int` | `RPAREN` |
    `static int` | `RSQUOTE` |
    `static int` | `RULE_andExpression` |
    `static int` | `RULE_atomExpression` |
    `static int` | `RULE_binaryExpression` |
    `static int` | `RULE_binaryOp` |
    `static int` | `RULE_bool` |
    `static int` | `RULE_comparison` |
    `static int` | `RULE_expression` |
    `static int` | `RULE_formula` |
    `static int` | `RULE_frequencyOp` |
    `static int` | `RULE_frequencySpec` |
    `static int` | `RULE_orExpression` |
    `static int` | `RULE_unaryExpression` |
    `static int` | `RULE_unaryOp` |
    `static String[]` | `ruleNames` |
    `static int` | `SINGLE_QUOTED_VARIABLE` |
    `static int` | `SKIP_DEF` |
    `static int` | `SKIP_FREQ` |
    `static int` | `SRELEASE` |
    `static int` | `SUP` |
    `static String[]` | `tokenNames` | Deprecated. Use `VOCABULARY` instead.
    `static int` | `TRUE` |
    `static int` | `UNTIL` |
    `static int` | `VARIABLE` |
    `static org.antlr.v4.runtime.Vocabulary` | `VOCABULARY` |
    `static int` | `WUNTIL` |
    `static int` | `XOR` |

    - ### Fields inherited from class org.antlr.v4.runtime.Parser

      `_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LTLParser​(org.antlr.v4.runtime.TokenStream input)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LTLParser.AndExpressionContext` | `andExpression()` |
    `LTLParser.AtomExpressionContext` | `atomExpression()` |
    `LTLParser.BinaryExpressionContext` | `binaryExpression()` |
    `LTLParser.BinaryOpContext` | `binaryOp()` |
    `LTLParser.BoolContext` | `bool()` |
    `LTLParser.ComparisonContext` | `comparison()` |
    `LTLParser.ExpressionContext` | `expression()` |
    `LTLParser.FormulaContext` | `formula()` |
    `LTLParser.FrequencyOpContext` | `frequencyOp()` |
    `LTLParser.FrequencySpecContext` | `frequencySpec()` |
    `org.antlr.v4.runtime.atn.ATN` | `getATN()` |
    `String` | `getGrammarFileName()` |
    `String[]` | `getRuleNames()` |
    `String` | `getSerializedATN()` |
    `String[]` | `getTokenNames()` | Deprecated.
    `org.antlr.v4.runtime.Vocabulary` | `getVocabulary()` |
    `LTLParser.OrExpressionContext` | `orExpression()` |
    `LTLParser.UnaryExpressionContext` | `unaryExpression()` |
    `LTLParser.UnaryOpContext` | `unaryOp()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.antlr.v4.runtime.Parser

      `addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTokenStream, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTokenFactory, setTokenStream, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

- - ### Field Detail

    - #### _decisionToDFA

          protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

    - #### _sharedContextCache

          protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

    - #### TRUE

          public static final int TRUE

      See Also:
        Constant Field Values

    - #### FALSE

          public static final int FALSE

      See Also:
        Constant Field Values

    - #### NOT

          public static final int NOT

      See Also:
        Constant Field Values

    - #### IMP

          public static final int IMP

      See Also:
        Constant Field Values

    - #### BIIMP

          public static final int BIIMP

      See Also:
        Constant Field Values

    - #### XOR

          public static final int XOR

      See Also:
        Constant Field Values

    - #### AND

          public static final int AND

      See Also:
        Constant Field Values

    - #### OR

          public static final int OR

      See Also:
        Constant Field Values

    - #### FINALLY

          public static final int FINALLY

      See Also:
        Constant Field Values

    - #### GLOBALLY

          public static final int GLOBALLY

      See Also:
        Constant Field Values

    - #### NEXT

          public static final int NEXT

      See Also:
        Constant Field Values

    - #### UNTIL

          public static final int UNTIL

      See Also:
        Constant Field Values

    - #### WUNTIL

          public static final int WUNTIL

      See Also:
        Constant Field Values

    - #### RELEASE

          public static final int RELEASE

      See Also:
        Constant Field Values

    - #### SRELEASE

          public static final int SRELEASE

      See Also:
        Constant Field Values

    - #### LPAREN

          public static final int LPAREN

      See Also:
        Constant Field Values

    - #### RPAREN

          public static final int RPAREN

      See Also:
        Constant Field Values

    - #### LDQUOTE

          public static final int LDQUOTE

      See Also:
        Constant Field Values

    - #### LSQUOTE

          public static final int LSQUOTE

      See Also:
        Constant Field Values

    - #### LCPAREN

          public static final int LCPAREN

      See Also:
        Constant Field Values

    - #### VARIABLE

          public static final int VARIABLE

      See Also:
        Constant Field Values

    - #### SKIP_DEF

          public static final int SKIP_DEF

      See Also:
        Constant Field Values

    - #### RDQUOTE

          public static final int RDQUOTE

      See Also:
        Constant Field Values

    - #### DOUBLE_QUOTED_VARIABLE

          public static final int DOUBLE_QUOTED_VARIABLE

      See Also:
        Constant Field Values

    - #### RSQUOTE

          public static final int RSQUOTE

      See Also:
        Constant Field Values

    - #### SINGLE_QUOTED_VARIABLE

          public static final int SINGLE_QUOTED_VARIABLE

      See Also:
        Constant Field Values

    - #### PROBABILITY

          public static final int PROBABILITY

      See Also:
        Constant Field Values

    - #### POS_NUMBER

          public static final int POS_NUMBER

      See Also:
        Constant Field Values

    - #### DIVISION

          public static final int DIVISION

      See Also:
        Constant Field Values

    - #### GT

          public static final int GT

      See Also:
        Constant Field Values

    - #### GE

          public static final int GE

      See Also:
        Constant Field Values

    - #### LT

          public static final int LT

      See Also:
        Constant Field Values

    - #### LE

          public static final int LE

      See Also:
        Constant Field Values

    - #### EQ

          public static final int EQ

      See Also:
        Constant Field Values

    - #### SUP

          public static final int SUP

      See Also:
        Constant Field Values

    - #### INF

          public static final int INF

      See Also:
        Constant Field Values

    - #### RCPAREN

          public static final int RCPAREN

      See Also:
        Constant Field Values

    - #### SKIP_FREQ

          public static final int SKIP_FREQ

      See Also:
        Constant Field Values

    - #### RULE_formula

          public static final int RULE_formula

      See Also:
        Constant Field Values

    - #### RULE_expression

          public static final int RULE_expression

      See Also:
        Constant Field Values

    - #### RULE_orExpression

          public static final int RULE_orExpression

      See Also:
        Constant Field Values

    - #### RULE_andExpression

          public static final int RULE_andExpression

      See Also:
        Constant Field Values

    - #### RULE_binaryExpression

          public static final int RULE_binaryExpression

      See Also:
        Constant Field Values

    - #### RULE_unaryExpression

          public static final int RULE_unaryExpression

      See Also:
        Constant Field Values

    - #### RULE_atomExpression

          public static final int RULE_atomExpression

      See Also:
        Constant Field Values

    - #### RULE_unaryOp

          public static final int RULE_unaryOp

      See Also:
        Constant Field Values

    - #### RULE_binaryOp

          public static final int RULE_binaryOp

      See Also:
        Constant Field Values

    - #### RULE_bool

          public static final int RULE_bool

      See Also:
        Constant Field Values

    - #### RULE_frequencyOp

          public static final int RULE_frequencyOp

      See Also:
        Constant Field Values

    - #### RULE_frequencySpec

          public static final int RULE_frequencySpec

      See Also:
        Constant Field Values

    - #### RULE_comparison

          public static final int RULE_comparison

      See Also:
        Constant Field Values

    - #### ruleNames

          public static final String[] ruleNames

    - #### VOCABULARY

          public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

    - #### tokenNames

          @Deprecated
          public static final String[] tokenNames

      Deprecated.
      Use `VOCABULARY` instead.

    - #### _serializedATN

          public static final String _serializedATN

      See Also:
        Constant Field Values

    - #### _ATN

          public static final org.antlr.v4.runtime.atn.ATN _ATN

  - ### Constructor Detail

    - #### LTLParser

          public LTLParser​(org.antlr.v4.runtime.TokenStream input)

  - ### Method Detail

    - #### getTokenNames

          @Deprecated
          public String[] getTokenNames()

      Deprecated.
      Specified by:
        `getTokenNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getVocabulary

          public org.antlr.v4.runtime.Vocabulary getVocabulary()

      Overrides:
        `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Specified by:
        `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getRuleNames

          public String[] getRuleNames()

      Specified by:
        `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getSerializedATN

          public String getSerializedATN()

      Overrides:
        `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getATN

          public org.antlr.v4.runtime.atn.ATN getATN()

      Specified by:
        `getATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### formula

          public final LTLParser.FormulaContext formula()
                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### expression

          public final LTLParser.ExpressionContext expression()
                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### orExpression

          public final LTLParser.OrExpressionContext orExpression()
                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### andExpression

          public final LTLParser.AndExpressionContext andExpression()
                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### binaryExpression

          public final LTLParser.BinaryExpressionContext binaryExpression()
                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### unaryExpression

          public final LTLParser.UnaryExpressionContext unaryExpression()
                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### atomExpression

          public final LTLParser.AtomExpressionContext atomExpression()
                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### unaryOp

          public final LTLParser.UnaryOpContext unaryOp()
                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### binaryOp

          public final LTLParser.BinaryOpContext binaryOp()
                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### bool

          public final LTLParser.BoolContext bool()
                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### frequencyOp

          public final LTLParser.FrequencyOpContext frequencyOp()
                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### frequencySpec

          public final LTLParser.FrequencySpecContext frequencySpec()
                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### comparison

          public final LTLParser.ComparisonContext comparison()
                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`